> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry a Run



## OpenAPI

````yaml post /v3/jobs/{job_uid}/retry
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/jobs/{job_uid}/retry:
    post:
      tags:
        - Runs
      summary: Retry a Run
      operationId: v3_retry_job
      parameters:
        - required: true
          schema:
            title: Job UID
            type: string
            format: uuid
          name: job_uid
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RetryJob'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    RetryJob:
      title: RetryJob
      type: object
      properties:
        input_parameters:
          title: Input Parameters
        integrations:
          title: Integrations
          type: object
        delay:
          title: Delay
          anyOf:
            - type: integer
            - type: string
        job_name:
          title: Job Name
        default_retry_behavior:
          title: Default Retry Behavior
        default_retry_times:
          title: Default Retry Times
        timeslot_start_time:
          title: Timeslot Start Time
        timeslot_finish_time:
          title: Timeslot Finish Time
        timeslot_days:
          title: Timeslot Days
        timeslot_timezone:
          title: Timeslot Timezone
        steps_configuration:
          title: Steps Configuration
          type: array
          items:
            type: object
        steps:
          title: Steps
          type: array
          items:
            type: object
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items: 61c7f447-c888-4823-b42f-2a23e4e31a10
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````